{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/homeStyle.css')}}" />
{% endblock %}


{% block content %}

  <div id="home-container" class="ui center aligned container">
    <h1 class="welcome ui huge header"><em>Benvenuto da Los Pollos Hermanos!!</em></h1>
    <h2 class="ui center aligned icon header">
      <i class="circular users icon"></i>
      Entra come
    </h2>
    <div class="ui buttons" style="margin-left: 160px">
      <a href="{{path('admin_ristoranti_lista')}}"><button id="admin-button" class="ui red button">Admin</button></a>
      <div class="or"></div>
      <a href="{{path('role_selection')}}"><button id="user-button" class="ui button">Utente - Fornitore</button></a>
    </div><br />
    <div id="sign-up-button" class="ui animated fade button" tabindex="0">
      <div class="visible content">Non hai un account?</div>
      <div class="hidden content">
        Registrati!
      </div>
    </div>
  </div>

  <div id="new-user-modal" class="ui long modal">
    <div class="header">Ciao, iscriviti al nostro servizio! Chi sei?</div>
    <div class="content" style="padding: 20px">
      <div id="choice-account-type" class="grouped fields">
        <div class="ui toggle checkbox" style="margin-right: 50px">
          <input id="radio-supplier" value="supplier" type="radio" name="tipo">
          <label>Fornitore</label>
        </div>
        <div class="ui toggle checkbox">
          <input id="radio-user" value="user" type="radio" name="tipo">
          <label>Cliente</label>
        </div>
      </div>
      <form id="new-user-form" class="ui form" method="post" style="display: none">
        <input type="hidden" name="user"/>
        <div class="three fields">
          <div class="required field">
            <label>Nome</label>
            <input placeholder="Nome" type="text" name="nome" required="true">
          </div>
          <div class="required field">
            <label>Cognome</label>
            <input placeholder="Cognome" type="text" name="cognome" required="true">
          </div>
          <div class="required field">
            <label>E-mail</label>
            <input type="email" placeholder="Email" name="email" required="true">
          </div>
        </div>
        <div class="three fields">
          <div class="required field">
            <label>Indirizzo</label>
            <input placeholder="Indirizzo" type="text" name="indirizzo" required="true">
          </div>
          <div class="required field">
            <label>Città</label>
            <input placeholder="Indirizzo" type="text" name="citta" required="true">
          </div>
          <div class="required field">
            <label>Cellulare</label>
            <input type="text" placeholder="Cellulare" name="phone" required="true">
          </div>
        </div>
        <div class="three fields">
          <div class="required field">
            <label>Username</label>
            <input placeholder="Username" type="text" name="username" required="true">
          </div>
          <div class="required field">
            <label>Password</label>
            <input placeholder="Password" type="password" name="password" required="true">
          </div>
          <div class="required field">
            <label>Conferma password</label>
            <input type="password" match="password" name="confirm-password" required="true">
          </div>
        </div>
        <div class="ui divider"></div>
        <div class="fields">
          <div class="seven wide required field">
            <label>Numero carta</label>
            <input type="text" name="numero-carta" maxlength="16" placeholder="XXXX - XXXX - XXXX - XXXX">
          </div>
          <div class="three wide required field">
            <label>CVV</label>
            <input type="text" name="cvv" maxlength="3" placeholder="XXX">
          </div>
          <div class="six wide required field">
            <label>Scadenza</label>
            <div class="two fields">
              <div class="required field">
                <select class="ui fluid search dropdown" name="scadenza-mese">
                  <option value="">Mese</option>
                  <option value="1">Gennaio</option>
                  <option value="2">Febbraio</option>
                  <option value="3">Marzo</option>
                  <option value="4">Aprile</option>
                  <option value="5">Maggio</option>
                  <option value="6">Giugno</option>
                  <option value="7">Luglio</option>
                  <option value="8">Agosto</option>
                  <option value="9">Settembre</option>
                  <option value="10">Ottobre</option>
                  <option value="11">Novembre</option>
                  <option value="12">Dicembre</option>
                </select>
              </div>
              <div class="required field">
                <input type="text" name="scadenza-anno" maxlength="4" placeholder="Anno">
              </div>
            </div>
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="submit-button" style="margin: 0; display: inline; float:right" type="submit" class="submit-button ui right labeled icon positive button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
              Annulla
          </div>
        </div>
      </form>
      <form id="new-supplier-form" method="post" class="ui form" style="display: none">
        <input type="hidden" name="supplier"/>
        <div class="three fields">
          <div class="required field">
            <label>Nome Azienda</label>
            <input placeholder="Azienda" type="text" name="nome_azienda" required="true">
          </div>
          <div class="required field">
            <label>P. IVA</label>
            <input placeholder="Partita IVA" type="text" maxlength="11" name="partita_iva" required="true">
          </div>
          <div class="required field">
            <label>E-mail</label>
            <input type="email" placeholder="Email" name="email" required="true">
          </div>
        </div>
        <div class="three fields">
          <div class="required field">
            <label>Indirizzo</label>
            <input placeholder="Indirizzo" type="text" name="indirizzo" required="true">
          </div>
          <div class="required field">
            <label>Città</label>
            <input placeholder="Indirizzo" type="text" name="citta" required="true">
          </div>
          <div class="required field">
            <label>Cellulare</label>
            <input type="text" placeholder="Cellulare" name="phone" required="true">
          </div>
        </div>
        <div class="three fields">
          <div class="required field">
            <label>Username</label>
            <input placeholder="Username" type="text" name="username" required="true">
          </div>
          <div class="required field">
            <label>Password</label>
            <input placeholder="Password" type="password" name="password-fornitore" required="true">
          </div>
          <div class="required field">
            <label>Conferma password</label>
            <input type="password" match="password" name="confirm-password-fornitore" required="true">
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon positive button submit-button">
          <i class="checkmark icon"></i> Ok, ho finito!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
            Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
